--- /usr/local/lib/erlang/lib/asn1-1.4.4.9/src/asn1rt_ber_bin.erl	2005-12-14 20:49:09.000000000 +0100
+++ asn1rt_ber_bin.erl	2006-02-02 23:26:45.000000000 +0100
@@ -1256,7 +1256,11 @@
 	    Constr={{_,_},{_,_}} ->%{{Min1,Max1},{Min2,Max2}}
 		%% constraint with extension mark
 		encode_constr_bit_str_bits(Constr,BitListVal,DoTag);
-	    Size ->
+	    Size0 ->
+		Size = case Size0 of
+			   {Min, 'MAX'} -> Min;
+			   Min          -> Min
+		       end,
 		case length(BitListVal) of
 		    BitSize when BitSize == Size ->
 			encode_bitstring(BitListVal);  
